Supported Browsers for Salesforce Classic

Salesforce Classic is supported with Microsoft® Internet Explorer® version 9, 10, and 11, Apple® Safari® version 8.x, 9.x, and 10.x on macOS, and Microsoft Edge for Windows® 10. The most recent stable versions of Mozilla® Firefox® and Google Chrome™ are also supported. There are some limitations.
Salesforce Classic available in: All Editions

Note

Note

Using Salesforce Classic in a mobile browser isn’t supported. Instead, we recommend using the Salesforce1 app when you’re working on a mobile device. To see the mobile browsers that are supported for Salesforce1, check out Requirements for the Salesforce1 Mobile App.

Microsoft Edge
Salesforce supports Microsoft Edge on Windows 10 for Salesforce Classic. Note these restrictions.
  • The HTML solution editor in Microsoft Edge isn’t supported in Salesforce Knowledge.
  • Microsoft Edge isn’t supported for the Developer Console.
Microsoft Internet Explorer versions 9, 10, and 11
If you use Internet Explorer, we recommend using the latest version that Salesforce supports. Apply all Microsoft software updates. Note these restrictions.
  • If you use Internet Explorer, confirm that you have TLS 1.1 and TLS 1.2 enabled. For more information, see Enabling TLS 1.1 and TLS 1.2 in Internet Explorer.
  • Internet Explorer 8 has limited support. Salesforce supports Internet Explorer 8 on Windows 7 only, with TLS 1.1 and/or TLS 1.2 enabled.
  • The full Salesforce site is supported in Internet Explorer 9, 10, and 11 on Windows 8 and 8.1 for touch-enabled laptops with standard keyboard and mouse inputs only. There is no support for mobile devices or tablets where touch is the primary means of interaction. Use the Salesforce1 mobile browser app instead.
  • The HTML solution editor in Internet Explorer 11 is not supported in Salesforce Knowledge.
  • Both Compatibility Mode and the Compatibility View in Internet Explorer aren’t supported.
  • The Metro version of Internet Explorer 10 isn’t supported.
  • Internet Explorer 11 isn’t supported for the Developer Console.
  • Community Templates for Self-Service supports Internet Explorer 9 and above for desktop users and Internet Explorer 11 and above for mobile users.
  • Internet Explorer 9 isn’t supported for Salesforce Wave Analytics.
  • Internet Explorer 9 and 10 aren’t supported for the Lightning App Builder.
  • Internet Explorer 9 and 10 aren’t supported for Process Builder.
  • Internet Explorer 9 users don’t have browser-based spell check.
  • Dragging and dropping files into feed comments isn’t supported in Internet Explorer.
For configuration recommendations, see Internet Explorer Settings.
Note

Note

Salesforce Classic support for Microsoft® Internet Explorer® versions 7 and 8 is discontinued as of Summer ’15.

Mozilla Firefox, most recent stable version
Salesforce makes every effort to test and support the most recent version of Firefox.
  • Mozilla Firefox is supported for desktop users only for Community Templates for Self-Service.
For configuration recommendations, see Firefox.
Google Chrome, most recent stable version
Chrome applies updates automatically. Salesforce makes every effort to test and support the most recent version. There are no configuration recommendations for Chrome.

Chrome isn’t supported for the Console Tab (however, the Salesforce Console is supported).

Apple Safari versions 8.x, 9.x, and 10.x on Mac OS X
There are no configuration recommendations for Safari. Apple Safari on iOS isn’t supported for the full Salesforce site.

Safari isn’t supported for:

  • Salesforce Console in Salesforce Classic
  • Salesforce Wave Analytics

Wave Analytics Supported Browsers

Browser support is available for Microsoft Edge, Microsoft Internet Explorer versions 10 and 11 and the most recent stable versions of Mozilla Firefox and Google Chrome.

Recommendations and Requirements for All Browsers

  • For all browsers, enable JavaScript, cookies, and TLS 1.2. If TLS 1.2 isn’t available, enable TLS 1.1. Browsers that don’t support TLS 1.1 or TLS 1.2 won’t be able to access Salesforce after we deactivate TLS 1.0. Deactivation has already occurred in sandbox orgs and concludes with production orgs on July 22, 2017.

  • The minimum screen resolution required to support all Salesforce features is 1024 x 768. Lower screen resolutions don’t always properly display Salesforce features such as Report Builder and Page Layout Editor.

  • For Mac OS users on Apple Safari or Chrome, make sure the system setting Show scroll bars is set to Always.
  • Some third-party Web browser plug-ins and extensions can interfere with the functionality of Chatter. If you experience malfunctions or inconsistent behavior with Chatter, disable the Web browser's plug-ins and extensions and try again.

Some features in Salesforce—and some desktop clients, toolkits, and adapters—have their own browser requirements. For example:
  • Internet Explorer is the only supported browser for:
    • Standard mail merge
    • Installing Salesforce Mobile Classic on a Windows Mobile device
    • Connect Offline
  • For the best experience with the enhanced page layout editor, use Firefox.
  • For the best experience on machines with 8 GB of RAM in the Salesforce console, use Chrome.
  • Browser requirements also apply for uploading multiple files on Chatter.